package com.redxun.knowledge.album.entity.enums;

/**
 * 文件名: AlbumEnum
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum AlbumVersionApproveEnum {

    WAIT_NODE_APPROVE(1, "待节点审核"),
    WAIT_FINAL_APPROVE(2, "待最终审核"),
    NODE_REJECT(3, "节点驳回"),
    FINAL_REJECT(4, "最终驳回"),
    APPROVE_ACCOMPLISH(5, "审核完成");


    private Integer code;
    private String message;

    AlbumVersionApproveEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(Integer code) {
        AlbumVersionApproveEnum[] albumInfoEnums = values();
        for (AlbumVersionApproveEnum albumInfoEnum : albumInfoEnums) {
            if (albumInfoEnum.code.equals(code)) {
                return albumInfoEnum.message;
            }
        }
        return null;
    }
}