package com.redxun.knowledge.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * 文件名: TransferAuthorDto
 * 作者: zizg
 * 时间: 2023/5/25
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class TransferAuthorDto implements Serializable {

    @ApiModelProperty("被转移的作者")
    private List<String> authors;

    @ApiModelProperty("转移到的作者")
    private String arriveAuthor;
}
