package com.redxun.knowledge.entity.vo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;


public class OsPropertiesDef extends BaseExtEntity<String> {

    private String id;

    private String ctltype;

    private String dataType;

    private String dimId;

    private String extJson;

    private String groupId;

    private String name;

    private String groupName = "";

    private String propertyId = "";

    private Object propertyValue = "";

    private boolean isDim = false;

    @JsonCreator
    public OsPropertiesDef() {
    }

    public String getPkId() {
        return this.id;
    }

    public void setPkId(String pkId) {
        this.id = pkId;
    }

    public boolean getIsDim() {
        return !"-1".equals(this.dimId);
    }

    public void setIsDim() {
        if ("-1".equals(this.dimId)) {
            this.isDim = false;
        }

        this.isDim = true;
    }

    public OsPropertiesDef setId(final String id) {
        this.id = id;
        return this;
    }

    public OsPropertiesDef setCtltype(final String ctltype) {
        this.ctltype = ctltype;
        return this;
    }

    public OsPropertiesDef setDataType(final String dataType) {
        this.dataType = dataType;
        return this;
    }

    public OsPropertiesDef setDimId(final String dimId) {
        this.dimId = dimId;
        return this;
    }

    public OsPropertiesDef setExtJson(final String extJson) {
        this.extJson = extJson;
        return this;
    }

    public OsPropertiesDef setGroupId(final String groupId) {
        this.groupId = groupId;
        return this;
    }

    public OsPropertiesDef setName(final String name) {
        this.name = name;
        return this;
    }

    public OsPropertiesDef setGroupName(final String groupName) {
        this.groupName = groupName;
        return this;
    }

    public OsPropertiesDef setPropertyId(final String propertyId) {
        this.propertyId = propertyId;
        return this;
    }

    public OsPropertiesDef setPropertyValue(final Object propertyValue) {
        this.propertyValue = propertyValue;
        return this;
    }

    public OsPropertiesDef setDim(final boolean isDim) {
        this.isDim = isDim;
        return this;
    }

    public String getId() {
        return this.id;
    }

    public String getCtltype() {
        return this.ctltype;
    }

    public String getDataType() {
        return this.dataType;
    }

    public String getDimId() {
        return this.dimId;
    }

    public String getExtJson() {
        return this.extJson;
    }

    public String getGroupId() {
        return this.groupId;
    }

    public String getName() {
        return this.name;
    }

    public String getGroupName() {
        return this.groupName;
    }

    public String getPropertyId() {
        return this.propertyId;
    }

    public Object getPropertyValue() {
        return this.propertyValue;
    }
}
