
/**
 * <pre>
 *
 * 描述：业务--知识地图组织可阅读者表实体类定义
 * 表:KM_MAP_GROUP_PURVIEW_USER
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-13 09:56:03
 * 版权：
 * </pre>
 */
package com.redxun.knowledge.map.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_MAP_GROUP_PURVIEW_USER")
public class MapGroupPurviewUser extends BaseExtEntity<String> {

    @JsonCreator
    public MapGroupPurviewUser() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //地图ID
    @TableField(value = "MAP_ID")
    private String mapId;
    //员工ID
    @TableField(value = "USER_ID")
    private String userId;
    //删除标记;删除状态：0-正常  1-删除
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



