package com.redxun.knowledge.qywexin;

public class SendMessageServiceLocator extends org.apache.axis.client.Service implements SendMessageService {

    public SendMessageServiceLocator() {
    }


    public SendMessageServiceLocator(org.apache.axis.EngineConfiguration config) {
        super(config);
    }

    public SendMessageServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName) throws javax.xml.rpc.ServiceException {
        super(wsdlLoc, sName);
    }

    // Use to get a proxy class for SendMessageServiceHttpPort
    private java.lang.String SendMessageServiceHttpPort_address = "http://10.5.0.121:8787/wechat/services/SendMessageService";

    public java.lang.String getSendMessageServiceHttpPortAddress() {
        return SendMessageServiceHttpPort_address;
    }

    // The WSDD service name defaults to the port name.
    private java.lang.String SendMessageServiceHttpPortWSDDServiceName = "SendMessageServiceHttpPort";

    public java.lang.String getSendMessageServiceHttpPortWSDDServiceName() {
        return SendMessageServiceHttpPortWSDDServiceName;
    }

    public void setSendMessageServiceHttpPortWSDDServiceName(java.lang.String name) {
        SendMessageServiceHttpPortWSDDServiceName = name;
    }

    public SendMessageServicePortType getSendMessageServiceHttpPort() throws javax.xml.rpc.ServiceException {
       java.net.URL endpoint;
        try {
            endpoint = new java.net.URL(SendMessageServiceHttpPort_address);
        }
        catch (java.net.MalformedURLException e) {
            throw new javax.xml.rpc.ServiceException(e);
        }
        return getSendMessageServiceHttpPort(endpoint);
    }

    public SendMessageServicePortType getSendMessageServiceHttpPort(java.net.URL portAddress) throws javax.xml.rpc.ServiceException {
        try {
            SendMessageServiceHttpBindingStub _stub = new SendMessageServiceHttpBindingStub(portAddress, this);
            _stub.setPortName(getSendMessageServiceHttpPortWSDDServiceName());
            return _stub;
        }
        catch (org.apache.axis.AxisFault e) {
            return null;
        }
    }

    public void setSendMessageServiceHttpPortEndpointAddress(java.lang.String address) {
        SendMessageServiceHttpPort_address = address;
    }

    /**
     * For the given interface, get the stub implementation.
     * If this service has no port for the given interface,
     * then ServiceException is thrown.
     */
    public java.rmi.Remote getPort(Class serviceEndpointInterface) throws javax.xml.rpc.ServiceException {
        try {
            if (SendMessageServicePortType.class.isAssignableFrom(serviceEndpointInterface)) {
                SendMessageServiceHttpBindingStub _stub = new SendMessageServiceHttpBindingStub(new java.net.URL(SendMessageServiceHttpPort_address), this);
                _stub.setPortName(getSendMessageServiceHttpPortWSDDServiceName());
                return _stub;
            }
        }
        catch (java.lang.Throwable t) {
            throw new javax.xml.rpc.ServiceException(t);
        }
        throw new javax.xml.rpc.ServiceException("There is no stub implementation for the interface:  " + (serviceEndpointInterface == null ? "null" : serviceEndpointInterface.getName()));
    }

    /**
     * For the given interface, get the stub implementation.
     * If this service has no port for the given interface,
     * then ServiceException is thrown.
     */
    public java.rmi.Remote getPort(javax.xml.namespace.QName portName, Class serviceEndpointInterface) throws javax.xml.rpc.ServiceException {
        if (portName == null) {
            return getPort(serviceEndpointInterface);
        }
        java.lang.String inputPortName = portName.getLocalPart();
        if ("SendMessageServiceHttpPort".equals(inputPortName)) {
            return getSendMessageServiceHttpPort();
        }
        else  {
            java.rmi.Remote _stub = getPort(serviceEndpointInterface);
            ((org.apache.axis.client.Stub) _stub).setPortName(portName);
            return _stub;
        }
    }

    public javax.xml.namespace.QName getServiceName() {
        return new javax.xml.namespace.QName("http://hkccsutom.com", "SendMessageService");
    }

    private java.util.HashSet ports = null;

    public java.util.Iterator getPorts() {
        if (ports == null) {
            ports = new java.util.HashSet();
            ports.add(new javax.xml.namespace.QName("http://hkccsutom.com", "SendMessageServiceHttpPort"));
        }
        return ports.iterator();
    }

    /**
    * Set the endpoint address for the specified port name.
    */
    public void setEndpointAddress(java.lang.String portName, java.lang.String address) throws javax.xml.rpc.ServiceException {
        
if ("SendMessageServiceHttpPort".equals(portName)) {
            setSendMessageServiceHttpPortEndpointAddress(address);
        }
        else 
{ // Unknown Port Name
            throw new javax.xml.rpc.ServiceException(" Cannot set Endpoint Address for Unknown Port" + portName);
        }
    }

    /**
    * Set the endpoint address for the specified port name.
    */
    public void setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address) throws javax.xml.rpc.ServiceException {
        setEndpointAddress(portName.getLocalPart(), address);
    }

}
