package com.redxun.knowledge.album.entity.enums;

/**
 * 文件名: AlbumEnum
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum AlbumYelpEnum {

    APPROVE_PROGRESS(0, "审核中"),
    APPROVE_SUCCESS(1, "审核通过"),
    APPROVE_FAIL(2, "审核未通过");

    private Integer code;
    private String message;

    AlbumYelpEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(Integer code) {
        AlbumYelpEnum[] albumInfoEnums = values();
        for (AlbumYelpEnum albumInfoEnum : albumInfoEnums) {
            if (albumInfoEnum.code.equals(code)) {
                return albumInfoEnum.message;
            }
        }
        return null;
    }
}