package com.redxun.knowledge.analysis.entity.enums;

/**
 * 文件名: AlbumEnum
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum DownloadNameEnum {

    TOTAL(1,"综合统计"),
    KNOWLEDGE(2,"仓库统计"),
    ALBUM(3,"专辑统计"),
    MAP(4,"地图统计"),
    SEARCH(5, "搜索统计");

    private Integer code;
    private String message;

    DownloadNameEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(Integer code) {
        DownloadNameEnum[] albumInfoEnums = values();
        for (DownloadNameEnum albumInfoEnum : albumInfoEnums) {
            if (albumInfoEnum.code.equals(code)) {
                return albumInfoEnum.message;
            }
        }
        return null;
    }
}